import request from '@/utils/request'

// ------------------------------

// 后台计算值
export function computeVal(params) {
  return request({
    url: '/common/computeVal',
    method: 'get',
    params
  })
}

export function commonDict(params) {
  return request({
    url: '/common/dict',
    method: 'get',
    params
  })
}

export function getSystemList(params) {
  return request({
    url: '/sys/dict/list/page',
    method: 'get',
    params
  })
}

// 获取工程师信息
export function getSearchWorkerList(params) {
  return request({
    url: '/worker/info',
    method: 'get',
    params
  })
}

// 生成支付二维码
export function generateCode(params) {
  return request({
    url: '/shop/sale/generate/code',
    method: 'post',
    params
  })
}

// 关闭支付二维码
export function closeCode(params) {
  return request({
    url: '/shop/sale/close/code',
    method: 'post',
    params
  })
}
